Page MenuHome

Rotation Gizmo does not work on Windows when "select_method" setting is set to "Automatic"
Closed, ArchivedPublic

Description

System Information
Operating system: Win10 x64
Graphics card: Nvidia 1070

Blender Version
Broken:
version: 2.79 (sub 6), branch: blender2.8, commit date: 2018-12-14 16:39, hash: 4e3562f45ad, type: Release
build date: 14/12/2018, 17:17

Short description of error
It seems like select_method=Automatic renders the rotation gizmo useless on Windows. Linux version does not have this issue. I was able to get someone from "Blendercoders" Irc channel to test and confirm this issue.

Exact steps for others to reproduce the error

(You are using Windows 10 x64)

I tried with factory settings as well, the result is the same.

  • Create a cube
  • Open User preferences -> System -> Selection -. Automatic (my anisotropic is off)
  • Enable rotation gizmo, try to rotate using the actual axis (one of the red, green, blue) Screen space works but those axis do not work.
  • Instead of rotating, the action turns into a regular drag, so it is frustrating.
  • Now again open User preferences -> System -> Selection -. Automatic
  • Change the setting to "Opengl Occlusion Queries"
  • The rotation gizmo functionality is back and works as expected

This same setting on 2.8 does not seem to cause this issue

Details

Type
Bug

Event Timeline

kursad k (kursadk) renamed this task from Rotation Gizmos does not work on WIndows when "select_method" setting is set to "Automatic" to Rotation Gizmos does not work on Windows when "select_method" setting is set to "Automatic".Feb 5 2019, 5:28 PM
kursad k (kursadk) created this task.
kursad k (kursadk) updated the task description. (Show Details)
kursad k (kursadk) renamed this task from Rotation Gizmos does not work on Windows when "select_method" setting is set to "Automatic" to Rotation Gizmo does not work on Windows when "select_method" setting is set to "Automatic".Feb 5 2019, 5:37 PM
Brecht Van Lommel (brecht) closed this task as Archived.Feb 5 2019, 6:34 PM
Brecht Van Lommel (brecht) claimed this task.

Thanks for the report, but we are no longer fixing OpenGL issues in 2.79. If it works in 2.80 and there is a workaround in 2.79, we consider this resolved.